Config group is not working with customer user role. (Failing with Stack level too deep)
Bugzilla link: 1560672 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1560672

Description of problem:

Created a role and set Resource type = Host and Search = Config Group. Assign this role to the user and login with the user which is

using this customized role. Go to Hosts page, it shows error = Stack level too deep.

Version-Release number of selected component (if applicable):

Satellite 6.2.12

How reproducible:

Always

Steps to Reproduce:

1. Create a config group.

2.Add a role with resource type = Content Host, Host, Host Collection, Location and Host with config_group (Refer Image =

6.2.12.Customers_Filter-1.png)

3. and log in with that user and go to Hosts page in the satellite. We will get Stack level too deep error.

Actual results:

Facing issue = Stack level too deep error

Expected results:

User should be able to view the all hosts page in satellite.

Additional info:

We have reproduced same on 6.2.12, 6.2.13 and 6.3.0 and we are getting the same error.  While reproducing the issue we added

some more resource types just confirm the permission details but we got the same error.

Associated revisions

Revision 89a3e4c2 - 06/24/2018 02:07 PM - Marek Hulán

Fixes #23951 - fix searching by config group

History

#1 - 06/15/2018 09:09 AM - Marek Hulán

- Subject changed from [Satellite 6.2.14] Config group is not working with customer user role. (Failing with Stack level too deep)

 to Config group is not working with customer user role. (Failing with Stack level too deep)

- Category set to Search

05/09/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1560672


- Assignee set to Marek Hulán

this was present since config groups were introduced

#2 - 06/15/2018 09:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5698 added

#3 - 06/24/2018 02:07 PM - Tomer Brisker

- translation missing: en.field_release set to 353

#4 - 06/24/2018 03:01 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 89a3e4c254437dcc8a21ff4e57627e5458d94664.
